$(document).ready(function(){
    $("#hint1").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: '<b>Заголовок задания</b> - максимум 55 символов.<br />Заголовок должен быть коротким и понятным.<br />Соблюдайте грамматику. Небрежное написание оттолкнёт посетителей.<br />Не пишите всё ЗАГЛАВНЫМИ БУКВАМИ, не ставьте множество однотипных<br />знаков типа: !!!!!! и т.д. После запятой правильно ставить знак пробела.'
    });
    $("#hint2").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: '<b>Описание задания</b> - максимум 3000 символов.<br />Описание задания должно быть информативным и понятным.<br />Соблюдайте грамматику. Небрежное написание оттолкнёт посетителей.<br />Не пишите всё ЗАГЛАВНЫМИ БУКВАМИ, не ставьте множество однотипных<br />знаков типа: !!!!!! и т.д. После запятой правильно ставить знак пробела.<br />Уважайте читателей и модератора.<br /><br />Если текст написан настолько безграмотно или небрежно<br />что модератору станет противно его читать,<br />он вправе будет просто забраковать всё задание.'
    });
    $("#hint3").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: '<b>URL-адрес сайта</b> должен начинаться с http:// или https://<br />и содержать не более 300 символов. Не используйте HTML-теги и Java-скрипты.<br />За попытки взлома системы, наказание - удаление аккаунта'
    });
    $("#hint4").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: '<b>Условия выполнения</b> - максимум 3000 символов.<br />Максимально точно и понятно напишите, что должен будет указать пользователь,<br />когда будет отчитываться о проделанной работе.'
    });
    $("#hint5").simpletip({
        fixed: true, 
        position: ["-552", "-20"], 
        focus: false,
        content: 'Плата (в рублях), которую получит пользователь за успешное выполнение вашего задания.<br />Пожалуйста, указывайте справедливую, адекватную цену.<br />Это безусловно повысит ваш рейтинг в глазах других исполнителей.'
    });
    $("#hint6").simpletip({
        fixed: true, 
        position: ["-542", "-20"], 
        focus: false,
        content: '<b>Максимальный срок выполнения</b> - это максимальный срок, за который<br />пользователь должен выполнить ваше задание. Если по истечении этого срока<br />исполнитель не подаст отчёт о выполнении, его заявка на выполнение будет отменена.'
    });
    $("#hint7").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Можно указать возрастной диапазон вашей аудитории. Например:<br /><b>"от 20 лет" — "до 55 лет"<br />"от малышей" — "до 25 лет"<br />"от 47 лет" — "до стариков"</b>'
    });
    $("#hint8").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Ваше задание будет в верхней части списка и выделено особым цветом.<br />За дополнительную плату.</b>'
    });
    $("#hint9").simpletip({
        fixed: true, 
        position: ["-500", "-20"], 
        focus: false,
        content: 'Существует два способа выполнения задания:<br /><b>Один пользователь — одно выполнение</b><br />- Каждый пользователь может выполнить ваше задание только один раз;<br /><b>Задание можно выполнять многократно</b><br />- После одобрения или отбраковки выполнения, пользователь сможет снова<br />выполнить ваше задание и снова подать его на проверку.'
    });
    $("#hint10").simpletip({
        fixed: true, 
        position: ["-542", "-20"], 
        focus: false,
        content: '<b>Интервал выполнений для многоразовых заданий</b> - это время после одобрения<br />выполнения, спустя которое исполнитель сможет повторно взяться за выполнение<br />вашего задания.'
    });
    $("#hint11").simpletip({
        fixed: true, 
        position: ["-542", "-20"], 
        focus: false,
        content: '<b>Минимальный интервал подачи заданий</b> - это очередь,<br />т.е. время, которое должно пройти с момента как пользователь<br />взял задание на выполнение и до момента, когда эта<br />возможность предоставится другому исполнителю.'
    });
})

function SbmForm() {
    if (document.forms['surforder'].tbl_title.value == '') {
        alert('Вы не указали заголовок задания');
        document.forms['surforder'].tbl_title.focus();
        return false;
    }
    if (document.forms['surforder'].tbl_desc.value == '') {
        alert('Вы не описали суть задания');
        document.forms['surforder'].tbl_desc.focus();
        return false;
    }
    if (document.forms['surforder'].tbl_question.value == '') {
        alert('Вы не описали условия выполнения');
        document.forms['surforder'].tbl_question.focus();
        return false;
    }
    if (document.forms['surforder'].tbl_comm.value == '') {
        alert('Вы не указали дополнительную информацию для арбитра');
        document.forms['surforder'].tbl_comm.focus();
        return false;
    }
    if (document.forms['surforder'].tbl_donate.value == '') {
        alert('Вы не указали сумму вознаграждения');
        document.forms['surforder'].tbl_donate.focus();
        return false;
    }
    if (document.forms['surforder'].tosaccept.checked == false) {
        alert('Если вы прочитали правила, с ними нужно согласиться');
        return false;
    }
    document.forms['surforder'].submit();
    return true;
}

function PlanChange(frm)
{
    lprice = frm.tbl_donate.value;
    lprice = lprice.replace(',','.');
    lprice = parseFloat(lprice);
    if (isNaN(lprice)) {
        frm.linkprice.value = '-';
    } else {
        if (lprice < task_mindonate)
            lprice = task_mindonate;
        lprice *= task_price;
        if ((frm.tbl_proff.value > 0)|(frm.tbl_family.value > 0)|(frm.tbl_sex.value > 0)|(frm.tbl_rating.value > 0)|(frm.tbl_rep.value > 0)|(frm.tbl_freeref.value > 0)|
            (frm.tbl_country1.value != 'XX')|(frm.tbl_country2.value != 'XX')|(frm.tbl_country3.value != 'XX')|
            (frm.tbl_country4.value != 'XX')|(frm.tbl_country5.value != 'XX')|
            ((frm.tbl_bday1.value > 0)&&(frm.tbl_bday2.value > 0))) {
            lprice += task_price_target;
        }
        frm.linkprice.value = number_format(lprice, 2, '.', '');
    }
}

function number_format(number, decimals, dec_point, thousands_sep) {
    var i, j, kw, kd, km;
    if (isNaN(decimals = Math.abs(decimals))) {
        decimals = 2;
    }
    if (dec_point == undefined) {
        dec_point = ",";
    }
    if (thousands_sep == undefined) {
        thousands_sep = ".";
    }
    i = parseInt(number = (+number || 0).toFixed(decimals)) + "";
    if ((j = i.length) > 3) {
        j = j % 3;
    } else {
        j = 0;
    }
    km = (j ? i.substr(0, j) + thousands_sep : "");
    kw = i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + thousands_sep);
    kd = (decimals ? dec_point + Math.abs(number - i).toFixed(decimals).replace(/-/, 0).slice(2) : "");
    return km + kw + kd;
}

function descchange(elem)
{
    if (elem.value.length > 3000) {
        elem.value = elem.value.substr(0,3000);
    }
    if (elemcount = document.forms['surforder'].scount) elemcount.value = 'Осталось '+(3000-elem.value.length)+' символов';
}

function appendtag(text1, text2)
{
    if ((document.selection))
    {
        document.surforder.tbl_desc.focus();
        document.surforder.document.selection.createRange().text = text1+document.surforder.document.selection.createRange().text+text2;
    } else if(document.surforder.tbl_desc.selectionStart != undefined) {
        var element    = document.surforder.tbl_desc;
        var str     = element.value;
        var start    = element.selectionStart;
        var length    = element.selectionEnd - element.selectionStart;
        element.value = str.substr(0, start) + text1 + str.substr(start, length) + text2 + str.substr(start + length);
    } else document.surforder.tbl_desc.value += text1+text2;
}

function worktimechange(frm) {
    if (frm.tbl_taskmode.value > 0) {
        document.getElementById('worktimeline').style.display = '';
    } else {
        document.getElementById('worktimeline').style.display = 'none';
    }
    return false;
}
