$(document).ready(function(){
    $("#addquest").click(function()
    {
        if (document.getElementById('quest1').style.display == 'none') {
            $("#quest1").fadeIn("fast", function(){
                document.getElementById('quest1').style.display = '';
                if (document.getElementById('quest2').style.display == '')
                    document.getElementById('btnaddq').style.display = 'none';
                PlanChange(document.forms['surforder']);
            });
        } else
        if (document.getElementById('quest2').style.display == 'none') {
            $("#quest2").fadeIn("fast", function(){
                document.getElementById('quest2').style.display = '';
                if (document.getElementById('quest1').style.display == '')
                    document.getElementById('btnaddq').style.display = 'none';
                PlanChange(document.forms['surforder']);
            });
        }
    });
    $("#hidequest1").click(function(){
        $("#quest1").fadeOut("fast", function() {
            document.forms['surforder'].tbl_question4.value = '';
            document.forms['surforder'].tbl_reply41.value = '';
            document.forms['surforder'].tbl_reply42.value = '';
            document.forms['surforder'].tbl_reply43.value = '';
            document.getElementById('quest1').style.display = 'none';
            PlanChange(document.forms['surforder']);
            document.getElementById('btnaddq').style.display = '';
        });
    });
    $("#hidequest2").click(function(){
        $("#quest2").fadeOut("fast", function() {
            document.forms['surforder'].tbl_question5.value = '';
            document.forms['surforder'].tbl_reply51.value = '';
            document.forms['surforder'].tbl_reply52.value = '';
            document.forms['surforder'].tbl_reply53.value = '';
            document.getElementById('quest2').style.display = 'none';
            PlanChange(document.forms['surforder']);
            document.getElementById('btnaddq').style.display = '';
        });
    });
    $("#hint1").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: '<b>Заголовок теста</b> - максимум 55 символов.<br />Заголовок должен быть коротким и понятным.<br />Соблюдайте грамматику. Небрежное написание оттолкнёт посетителей.<br />Не пишите всё ЗАГЛАВНЫМИ БУКВАМИ, не ставьте множество однотипных<br />знаков типа: !!!!!! и т.д. После запятой правильно ставить знак пробела.'
    });
    $("#hint2").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: '<b>Инструкция для тестирования</b> - максимум 1000 символов.<br />Напишите, что необходимо предпринять прежде чем проходить тестирование,<br />например просмотреть ваш сайт или прочитать статью.<br />Соблюдайте грамматику. Небрежное написание оттолкнёт посетителей.<br />Не пишите всё ЗАГЛАВНЫМИ БУКВАМИ, не ставьте множество однотипных<br />знаков типа: !!!!!! и т.д. После запятой правильно ставить знак пробела.<br />Уважайте читателей и модератора.<br /><br />Если тест будет составлен настолько безграмотно или небрежно<br />что модератору станет противно его читать,<br />он вправе будет просто забраковать его.'
    });
    $("#hint7").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Можно указать возрастной диапазон вашей аудитории. Например:<br /><b>"от 20 лет" — "до 55 лет"<br />"от малышей" — "до 25 лет"<br />"от 47 лет" — "до стариков"</b>'
    });
    $("#hint8").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Ваш тест будет в верхней части списка и выделен особым цветом.<br />За дополнительную плату.</b>'
    });
    $("#hint9").simpletip({
        fixed: true, 
        position: ["-530", "-20"], 
        focus: false,
        content: 'Существует два способа предоставления тестирования пользователям:<br /><b>Доступно всем каждые 24 часа</b> - ваш тест, подобно ссылке в серфинге,<br />будет доступен пользователю всё снова и снова, но не чаще чем раз в 24 часа.<br /><b>Доступно всем один раз в месяц</b> - это значит, что один пользователь сможет<br />пройти ваш тест не чаще чем 1 раз в месяц.'
    });
    $("#hint10").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Тест предусматривает три вопроса с тремя вариантами ответа каждый.<br />Первый вариант всегда должен быть правильным. За дополнительную плату<br />можно использовать ещё два дополнительных вопроса.<br />Максимальное количество символов в вопросе - 300, в ответе - 30.'
    });
    $("#hint11").simpletip({
        fixed: true, 
        position: ["-440", "-20"], 
        focus: false,
        content: 'На <b>'+sitname+'</b> очень много пользователей.<br />Вы можете сделать так, чтобы вашу ссылку видело меньшее число<br />пользователей, чтобы растянуть срок показа вашей рекламы.'
    });
})

function SbmForm() {
    if (document.forms['surforder'].tbl_title.value == '') {
        alert('Вы не указали заголовок теста');
        document.forms['surforder'].tbl_title.focus();
        return false;
    }
    if (document.forms['surforder'].tbl_desc.value == '') {
        alert('Вы не описали инструкцию к выполнению теста');
        document.forms['surforder'].tbl_desc.focus();
        return false;
    }
    if (document.forms['surforder'].tbl_question1.value == '') {
        alert('Вы не указали первый вопрос');
        document.forms['surforder'].tbl_question1.focus();
        return false;
    }
    if ((document.forms['surforder'].tbl_reply11.value == '')|
        (document.forms['surforder'].tbl_reply12.value == '')|
        (document.forms['surforder'].tbl_reply13.value == '')) {
        alert('Вы не указали вариант ответа на первый вопрос');
        return false;
    }
    if (document.forms['surforder'].tbl_question2.value == '') {
        alert('Вы не указали второй вопрос');
        document.forms['surforder'].tbl_question2.focus();
        return false;
    }
    if ((document.forms['surforder'].tbl_reply21.value == '')|
        (document.forms['surforder'].tbl_reply22.value == '')|
        (document.forms['surforder'].tbl_reply23.value == '')) {
        alert('Вы не указали вариант ответа на второй вопрос');
        return false;
    }
    if (document.forms['surforder'].tbl_question3.value == '') {
        alert('Вы не указали третий вопрос');
        document.forms['surforder'].tbl_question3.focus();
        return false;
    }
    if ((document.forms['surforder'].tbl_reply31.value == '')|
        (document.forms['surforder'].tbl_reply32.value == '')|
        (document.forms['surforder'].tbl_reply33.value == '')) {
        alert('Вы не указали вариант ответа на третий вопрос');
        return false;
    }
    if (document.forms['surforder'].tosaccept.checked == false) {
        alert('Если вы прочитали правила, с ними нужно согласиться');
        return false;
    }
    document.forms['surforder'].submit();
    return true;
}
function descchange(elem)
{
    if (elem.value.length > 1000) {
        elem.value = elem.value.substr(0,1000);
    }
    document.forms['surforder'].scount.value = 'Осталось '+(1000-elem.value.length)+' символов';
}
function appendtag(text1, text2)
{
    if ((document.selection))
    {
        document.surforder.tbl_desc.focus();
        document.surforder.document.selection.createRange().text = text1+document.surforder.document.selection.createRange().text+text2;
    } else if(document.surforder.tbl_desc.selectionStart != undefined) {
        var element    = document.surforder.tbl_desc;
        var str     = element.value;
        var start    = element.selectionStart;
        var length    = element.selectionEnd - element.selectionStart;
        element.value = str.substr(0, start) + text1 + str.substr(start, length) + text2 + str.substr(start + length);
    } else document.surforder.tbl_desc.value += text1+text2;
}
function PlanChange(frm)
{
    lprice = test_price;
    if (frm.tbl_high.value == 1) {
        lprice += test_price_high;
    }
    if (frm.tbl_testmode.value == 2) {
        lprice += test_price_uniq;
    }
    if (document.getElementById('quest1').style.display == '') {
        lprice += test_price_ext;
    }
    if (document.getElementById('quest2').style.display == '') {
        lprice += test_price_ext;
    }
    if ((frm.tbl_proff.value > 0)|(frm.tbl_family.value > 0)|(frm.tbl_sex.value > 0)|
        (frm.tbl_country1.value != 'XX')|(frm.tbl_country2.value != 'XX')|(frm.tbl_country3.value != 'XX')|
        (frm.tbl_country4.value != 'XX')|(frm.tbl_country5.value != 'XX')|
        ((frm.tbl_bday1.value > 0)&&(frm.tbl_bday2.value > 0))) {
        lprice += test_price_target;
    }
    frm.linkprice.value = number_format(lprice, 3, '.', '');
}
function number_format(number, decimals, dec_point, thousands_sep) {
    var i, j, kw, kd, km;
    if (isNaN(decimals = Math.abs(decimals))) {
        decimals = 2;
    }
    if (dec_point == undefined) {
        dec_point = ",";
    }
    if (thousands_sep == undefined) {
        thousands_sep = ".";
    }
    i = parseInt(number = (+number || 0).toFixed(decimals)) + "";
    if ((j = i.length) > 3) {
        j = j % 3;
    } else {
        j = 0;
    }
    km = (j ? i.substr(0, j) + thousands_sep : "");
    kw = i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + thousands_sep);
    kd = (decimals ? dec_point + Math.abs(number - i).toFixed(decimals).replace(/-/, 0).slice(2) : "");
    return km + kw + kd;
}
