$(document).ready(function() {
    var button = $('#uploadbutton'), interval;
    $.ajax_upload(button, {
        action : 'st-service/cnt-avload.php',
        name : 'avatarfile',
        onSubmit : function(file, ext) {
            this.disable();
        },
        onComplete : function(file, response) {
        document.location.href = "/profile.php";
        }
    });
});

$(document).ready(function(){
    $("#hint1").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Номером счёта в платёжной системе <b>LiqPay</b> является номер вашего<br />мобильного телефона в международном формате, например:<ul><li>для Украины: <b>38XXXYYYYYYY</b></li><li>для России: <b>7XXXYYYYYYY</b></li><li>для Беларуси: <b>375XXYYYYYYY</b></li></ul>где <b>XXX</b> - код оператора, а <b>YYYYYYY</b> - номер телефона'
    });
    $("#hint2").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Номером счёта в платёжной системе <b>Payza</b> является ваш адрес<br />электронной почты (e-mail), который вы указывали при регистрации в Payza'
    });
    $("#hint3").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Номер счёта в платёжной системе <b>LibertyReserve</b> указывается в формате<br /><b>U0000000</b> (Большая латинская буква <b>U</b> и номер счёта)'
    });
    $("#hint4").simpletip({
        fixed: true, 
        position: ["-520", "-20"], 
        focus: false,
        content: 'Номер счёта в платёжной системе <b>WebMoney</b> указывается в рублях (WMR-кошелёк)<br />в формате <b>R000000000000</b> (Большая латинская буква <b>R</b> и номер счёта)'
    });
    $("#hint5").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Номер счёта в платёжной системе <b>PerfectMoney</b> указывается в формате<br /><b>U0000000</b> (Большая латинская буква <b>U</b> и номер счёта)'
    });
    $("#hint6").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Номер счёта в платёжной системе <b>Яндекс.деньги</b><br /> указывается в виде 14 или 15 значного числа</a>'
    });
    $("#hint7").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Этот пункт всегда можно изменить если ваше семейное положение изменится'
    });
    $("#hint8").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Этот пункт всегда можно изменить если ваш род деятельности изменится'
    });
    $("#hintact").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: '<b>Ваш аккаунт не активирован!</b><br />Чтобы получить статус <b>&laquo;Рабочий&raquo;</b> вам необходимо подтвердить<br /> ваш e-mail, а так же заполнить все поля в разделе<br />&laquo;Персональные данные&raquo;'
    });
	$("#hintphone").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: '<b>Номер вашего мобильного телефона не подтверждён!</b><br /><br />Чтобы получить статус <b>&laquo;Рабочий&raquo;</b> вам необходимо указать и подтвердить<br />ваш номер телефона, а так же заполнить все поля в разделе<br />&laquo;Персональные данные&raquo;'
    });
    $("#hint9").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Номером счёта в платёжной системе <b>QIWI</b> является номер вашего<br />мобильного телефона в международном формате, например:<ul><li>для Украины: <b>38XXXYYYYYYY</b></li><li>для России: <b>7XXXYYYYYYY</b></li><li>для Беларуси: <b>375XXYYYYYYY</b></li></ul>где <b>XXX</b> - код оператора, а <b>YYYYYYY</b> - номер телефона'
    });
	$("#hint10").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Номер счёта в платёжной системе <b>Payeer</b> указывается в формате<br /><b>P0000000</b> (Большая латинская буква <b>P</b> и номер счёта)'
    });
})

function showpinblock(doc) {
    var myReq = getHTTPRequest();
    var params = "us=1";
    function setstate() {
        if ((myReq.readyState == 4)&&(myReq.status == 200)) {
            var resvalue = myReq.responseText;
            doc.getElementById('pinblock').innerHTML = resvalue;
            $('#pinblock').slideToggle('slow');
        } else
            doc.getElementById('pinblock').innerHTML = "<span class='loading' title='Подождите пожалуйста...'></span>";
    } 
    myReq.open("POST", "/st-service/cnt-pinblock.php", true);
    myReq.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    myReq.setRequestHeader("Content-lenght", params.length);
    myReq.setRequestHeader("Connection", "close");
    myReq.onreadystatechange = setstate;
    myReq.send(params);
    return true;
}

function setsymbol(smb) {
    if (document.getElementById('epcode') != null) {
        if (smb == '*')
            document.getElementById('epcode').value = '';
        else
            document.getElementById('epcode').value = document.getElementById('epcode').value + smb;
    }
    return false; 
}

function saveprofile(doc)
{
    var prof_proff = encodeURIComponent(doc.forms['personal'].prof_proff.value);
    var prof_family = encodeURIComponent(doc.forms['personal'].prof_family.value);
    var prof_sex = encodeURIComponent(doc.forms['personal'].prof_sex.value);
    var prof_bday = encodeURIComponent(doc.forms['personal'].prof_bday.value);
    var prof_webmoney = encodeURIComponent(doc.forms['personal'].prof_webmoney.value);
    var prof_yandex = encodeURIComponent(doc.forms['personal'].prof_yandex.value);
    var prof_qiwi = encodeURIComponent(doc.forms['personal'].prof_qiwi.value);
    var prof_payeer = encodeURIComponent(doc.forms['personal'].prof_payeer.value);
    var prof_perfect = encodeURIComponent(doc.forms['personal'].prof_perfect.value);
    var prof_passw = encodeURIComponent(doc.forms['personal'].prof_passw.value);
    var prof_cpass = encodeURIComponent(doc.forms['personal'].prof_cpass.value);
    var prof_epcode = doc.forms['personal'].epcode.value;
    var prof_pm = 1;
    if (doc.forms['personal'].ch_pmenabled.checked) prof_pm = 0;
    var tm;
    function hidemsg()
    {
        $('#msgprocess').fadeOut('slow');
        if (tm)
            clearTimeout(tm);
    }
    if (prof_epcode == '') {
        doc.getElementById('msgprocess').innerHTML = "<span class='msg-error'>Вы не указали PIN-код</span>";
        doc.getElementById('msgprocess').style.display = '';
        tm = setTimeout(function() {
            hidemsg()
        }, 1500);
    } else {
        var myReq = getHTTPRequest();
        var params = 
        "proff="+prof_proff+
        "&family="+prof_family+
        "&sex="+prof_sex+
        "&bday="+prof_bday+
        "&webmoney="+prof_webmoney+
        "&yandex="+prof_yandex+
        "&qiwi="+prof_qiwi+
        "&payeer="+prof_payeer+
        "&perfect="+prof_perfect+
        "&passw="+prof_passw+
        "&cpass="+prof_cpass+
        "&epcode="+prof_epcode+
        "&pm="+prof_pm;
        function setstate()
        {
            if ((myReq.readyState == 4)&&(myReq.status == 200)) {
                var resvalue = myReq.responseText;
                if (resvalue[0] == '<') {
                    doc.getElementById('profilecontent').innerHTML = resvalue;
                } else
                if (resvalue == 'userdelete') {
                    doc.location.href = "/logout.php";
                } else
                if (resvalue == '') {
                    doc.getElementById('msgprocess').innerHTML = "<span class='msg-error'>Не удалось выполнить операцию</span>";
                    doc.getElementById('msgprocess').style.display = '';
                    doc.getElementById('enterprocess').innerHTML = "";
                } else {
                    doc.getElementById('msgprocess').innerHTML = "<span class='msg-error'>"+resvalue+"</span>";
                    doc.getElementById('msgprocess').style.display = '';
                    doc.getElementById('enterprocess').innerHTML = "";
                }
            } else {
                doc.getElementById('enterprocess').innerHTML = "<span class='loading-dline' title='Подождите пожалуйста...'></span>";
                doc.getElementById('msgprocess').innerHTML = "";
            }
        } 
        myReq.open("POST", "/st-service/cnt-profile.php", true);
        myReq.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
        myReq.setRequestHeader("Content-lenght", params.length);
        myReq.setRequestHeader("Connection", "close");
        myReq.onreadystatechange = setstate;
        myReq.send(params);
    }
    return false;
}