$(document).ready(function(){
    $("#hint1").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: '<b>Заголовок ссылки</b> - максимум 55 символов.<br />Заголовок должен быть коротким и понятным.<br />Соблюдайте грамматику. Небрежное написание оттолкнёт посетителей.<br />Не пишите всё ЗАГЛАВНЫМИ БУКВАМИ, не ставьте множество однотипных<br />знаков типа: !!!!!! и т.д. После запятой правильно ставить знак пробела.'
    });
    $("#hint2").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: '<b>Краткое описание ссылки</b> - максимум 55 символов.<br />Краткое описание должно быть информативным и понятным.<br />Соблюдайте грамматику. Небрежное написание оттолкнёт посетителей.<br />Не пишите всё ЗАГЛАВНЫМИ БУКВАМИ, не ставьте множество однотипных<br />знаков типа: !!!!!! и т.д. После запятой правильно ставить знак пробела.'
    });
    $("#hint3").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: '<b>URL-адрес</b> ссылки должен начинаться с http:// или https://<br />и содержать не более 300 символов. Не используйте HTML-теги и Java-скрипты.<br />За попытки взлома системы, наказание - удаление аккаунта'
    });
    $("#hint4").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Стандартное время просмотра ссылки - 5 секунд. Можно увеличить<br />за дополнительную плату'
    });
    $("#hint5").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'После стандартного просмотра ссылки в серфинге производится прямой<br />переход на рекламируемый ресурс. За дополнительную плату.'
    });
    $("#hint6").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Если рекламируемый вами ресурс по каким-либо причинам будет недоступен,<br />система не будет учитывать холостые просмотры и сэкономит ваш бюджет.<br />Эта опция платная.'
    });
    $("#hint7").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Можно указать возрастной диапазон вашей аудитории. Например:<br /><b>"от 20 лет" — "до 55 лет"<br />"от малышей" — "до 25 лет"<br />"от 47 лет" — "до стариков"</b>'
    });
    $("#hint8").simpletip({
        fixed: true, 
        position: ["-502", "-20"], 
        focus: false,
        content: 'Ваша ссылка будет в верхней части списка и выделена особым цветом.<br />За дополнительную плату.'
    });
    $("#hint9").simpletip({
        fixed: true, 
        position: ["-440", "-20"], 
        focus: false,
        content: 'На <b>'+ sitname +'</b> очень много пользователей.<br />Вы можете сделать так, чтобы вашу ссылку видело меньшее число<br />пользователей, чтобы растянуть срок показа вашей рекламы.'
    });
})

function SbmForm() {
    if (document.forms['surforder'].tbl_title.value == '') {
        alert('Вы не указали заголовок ссылки');
        document.forms['surforder'].tbl_title.focus();
        return false;
    }
    if (document.forms['surforder'].tbl_desc.value == '') {
        alert('Вы не указали краткое описание ссылки');
        document.forms['surforder'].tbl_desc.focus();
        return false;
    }
    if ((document.forms['surforder'].tbl_url.value == '')|(document.forms['surforder'].tbl_url.value == 'http://')|(document.forms['surforder'].tbl_url.value == 'https://')) {
        alert('Вы не указали URL-адрес ссылки');
        document.forms['surforder'].tbl_url.focus();
        return false;
    }
    if (document.forms['surforder'].tosaccept.checked == false) {
        alert('Если вы прочитали правила, с ними нужно согласиться');
        return false;
    }
    document.forms['surforder'].submit();
    return true;
}

function PlanChange(frm)
{
    lprice = serf_price_timer05; 
	if (frm.tbl_timer.value == 10) {
        lprice = serf_price_timer10;
    } else
	if (frm.tbl_timer.value == 20) {
        lprice = serf_price_timer20;
    } else
    if (frm.tbl_timer.value == 30) {
        lprice = serf_price_timer30;
    } else
    if (frm.tbl_timer.value == 40) {
        lprice = serf_price_timer40;
    } else
    if (frm.tbl_timer.value == 50) {
        lprice = serf_price_timer50;
    } else
    if (frm.tbl_timer.value == 60) {
        lprice = serf_price_timer60;
    }
	if (frm.tbl_move.value == 1) {
        lprice += serf_price_move;
    }
    if (frm.tbl_high.value == 1) {
        lprice += serf_price_high;
    }
    if ((frm.tbl_proff.value > 0)|(frm.tbl_family.value > 0)|(frm.tbl_sex.value > 0)|(frm.tbl_rating.value > 0)|(frm.tbl_rep.value > 0)|(frm.tbl_freeref.value > 0)|
        (frm.tbl_country1.value != 'XX')|(frm.tbl_country2.value != 'XX')|(frm.tbl_country3.value != 'XX')|
        (frm.tbl_country4.value != 'XX')|(frm.tbl_country5.value != 'XX')|
        ((frm.tbl_bday1.value > 0)&&(frm.tbl_bday2.value > 0))) {
        lprice += serf_price_target;
    }
    frm.linkprice.value = number_format(lprice, 3, '.', '');
}

function number_format(number, decimals, dec_point, thousands_sep) {
    var i, j, kw, kd, km;
    if (isNaN(decimals = Math.abs(decimals))) {
        decimals = 2;
    }
    if (dec_point == undefined) {
        dec_point = ",";
    }
    if (thousands_sep == undefined) {
        thousands_sep = ".";
    }
    i = parseInt(number = (+number || 0).toFixed(decimals)) + "";
    if ((j = i.length) > 3) {
        j = j % 3;
    } else {
        j = 0;
    }
    km = (j ? i.substr(0, j) + thousands_sep : "");
    kw = i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + thousands_sep);
    kd = (decimals ? dec_point + Math.abs(number - i).toFixed(decimals).replace(/-/, 0).slice(2) : "");
    return km + kw + kd;
}
