function isValidPhone(myPhone) { 
    return /^\+\d{2}\(\d{3}\)\d{3}-\d{2}-\d{2}$/.test(myPhone); 
} 

function check(mode)
{
    var req_cnt = '';
    var req_msg = '';
    var tm;
    if (mode == 1) {
        req_cnt = document.forms['smssend'].cnt.value;
        req_msg = document.forms['smssend'].phone.value;
    } else
    if (mode == 2) {
        req_cnt = document.forms['codesend'].cnt.value;
        req_msg = document.forms['codesend'].code.value;
    }
    function hidemsg()
    {
        $('#entermsg').fadeOut('slow');
        if (tm)
            clearTimeout(tm);
    }
    if (req_msg == '') {
        document.getElementById('entermsg').innerHTML = "<span class='msg-error'>Номер телефона или код подтверждения не указан</span>";
        document.getElementById('entermsg').style.display = '';
        tm = setTimeout(function() {
            hidemsg()
        }, 1000);
    } else {
        var myReq = getHTTPRequest();
        var params = "cnt="+req_cnt+"&msg="+req_msg+"&mode="+mode;
        function setstate()
        {
            if ((myReq.readyState == 4)&&(myReq.status == 200)) {
                var resvalue = myReq.responseText;
                if (resvalue == 'ok') {
                    if (mode == 1) {
                        document.getElementById('entermsg').innerHTML = "<span class='orangenote'>СМС с кодом подтверждения отправлено на номер "+req_msg+"</span>";
                        document.getElementById('entermsg').style.display = '';
                        document.getElementById('step1').style.display = 'none';
                        document.getElementById('step2').style.display = '';
                    } else
                    if (mode == 2) {
                        document.getElementById('entermsg').innerHTML = "<span class='msg-success'>Поздравляем! Ваш номер телефона подтверждён</span>";
                        document.getElementById('entermsg').style.display = '';
                        document.getElementById('step1').style.display = 'none';
                        document.getElementById('step2').style.display = 'none';
                    }
                } else
                if (resvalue == 'err1') {
                    document.getElementById('entermsg').innerHTML = "<span class='msg-error'>Введите код подтверждения из СМС. Если СМС ещё не пришло, подождите некоторое время или повторите всю процедуру через 30 минут.</span>";
                    document.getElementById('entermsg').style.display = '';
                    document.getElementById('step1').style.display = 'none';
                    document.getElementById('step2').style.display = '';
                } else
                if (resvalue == '') {
                    document.getElementById('entermsg').innerHTML = "<span class='msg-error'>Не удалось обработать запрос</span>";
                    document.getElementById('entermsg').style.display = '';
                } else {
                    document.getElementById('entermsg').innerHTML = "<span class='msg-error'>"+resvalue+"</span>";
                    document.getElementById('entermsg').style.display = '';
                }
            } else {
                document.getElementById('entermsg').innerHTML = "<span class='loading-dline' title='Подождите пожалуйста...'></span>";
                document.getElementById('entermsg').style.display = '';
            }
        } 
        myReq.open("POST", "/st-service/cnt-phonecheck.php", true);
        myReq.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
        myReq.setRequestHeader("Content-lenght", params.length);
        myReq.setRequestHeader("Connection", "close");
        myReq.onreadystatechange = setstate;
        myReq.send(params);
    }
    return false;
}